Bug 157420 - Allow setting a default Date and Time subtype (fixed vs non-fixed) and format so they can be inserted with shortcuts
Summary: Allow setting a default Date and Time subtype (fixed vs non-fixed) and format...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.6.1.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 157337
Blocks: Fields
  Show dependency treegraph
 
Reported: 2023-09-24 21:15 UTC by FaithfulScuff
Modified: 2023-10-17 09:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
see comment (17.06 MB, video/quicktime)
2023-10-10 02:48 UTC, FaithfulScuff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FaithfulScuff 2023-09-24 21:15:46 UTC
When setting the keyboard shortcut for Date and Time, it would be nice if the choices could be moved to the top of the column, and that would be the format used during the use of the shortcut. 

For the date, date and date fixed, it would be nice to be able to move date fixed to the top so fixed is used.

For example, in date, date fixed, NNNNMMMM D, YYYY could be moved to the top and that would be the format used.

Same for the time keyboard shortcut.
Comment 1 Stéphane Guillou (stragu) 2023-10-09 19:37:21 UTC
Thanks for the suggestion.
Can you please provide more details, include which dialog(s) you use, and explain what column you are talking about?
I was looking at the Tools > Customize > Keyboard tab but couldn't match it to your description.
Comment 2 FaithfulScuff 2023-10-10 02:48:49 UTC
Created attachment 190101 [details]
see comment

Hello,
I made a video, my explanations can be confusing.
https://youtu.be/Vm-COZCG9wY
thank you
Comment 3 QA Administrators 2023-10-10 03:15:03 UTC Comment hidden (obsolete)
Comment 4 Stéphane Guillou (stragu) 2023-10-10 08:07:59 UTC
Thanks for the video, that makes more sense.

So the request is:

"Let the user define a default subtype and format for the Insert Time or Insert Date command, so it is inserted when using the corresponding shortcuts."

Note that, as far as I can tell, the format is tied to the paragraph language: if I insert a date in an English (Australia) paragraph, it will be 31/12/23, whereas it will be 12/31/23 in an English (USA) paragraph. But why not allowing the user to override that with a setting somewhere (unsure where that would live: in the Fields dialog or in Options > Language?).

Regarding the "subtype" (e.g. fixed vs not fixed), there is a discussion on how they could be separated as distinct UNO commands, following the change of default in 7.6: bug 157337. In my opinion, this ticket can't be resolved until we have a resolution for bug 157337.

Copying the UX/Design team in for opinion.
Comment 5 FaithfulScuff 2023-10-10 17:36:50 UTC
Yes, we are now on the same page. Thank you for watching the video and your time.
Comment 6 FaithfulScuff 2023-10-10 18:31:24 UTC
I do believe the request made here would also apply to fixing the Bug 157337, as they are also asking about inserted time and date via keyboard shortcuts.

Sorry, I don't see how to add a hyperlink to this message.
Comment 7 Heiko Tietze 2023-10-16 15:39:28 UTC
I fully agree with this proposal as solution for bug 157337. Another idea idea could be to just remember the last choice, and not move the item up/down. IIRC it was not so simple to code.

I wonder if we need another ticket for this. Resolving bug 157337 also solves this issue and vice versa. Up for QA...
Comment 8 Stéphane Guillou (stragu) 2023-10-17 09:06:19 UTC
Setting this enhancement to "new", now that bug 157337 is focused on the UNO command regression.
Comment 9 Mike Kaganski 2023-10-17 09:07:25 UTC
While it would be reasonable to introduce new UNO commands specifically to allow insertion of *non-fixed* date/time, it would be not reasonable to go further, and introduce unlimited flexibility to the UNO commands, when there already is an API to do the task.

See e.g. macros discussed at https://ask.libreoffice.org/t/how-to-create-a-macro-to-insert-the-current-date-in-the-current-language/28707.